import { Meta } from "@storybook/blocks";
import { tokens } from "../style/themis-tokens.ts";
import "../lib/atom/content/color-preview/ColorPreview.ts";

<Meta title="Documentation/Design Tokens" />

# Design Tokens

Design tokens are system-wide tags that represent a single design decision,
such as color or border styling of a component.

# Summary

* [Color](#-color)
  * [Neutral](#neutral)
  * [Accent](#accent)
  * [Success](#success)
  * [Error](#Error)
* [Font](#-font)
  * [Size](#size)

# 🎨 Color

## Neutral

Backgrounds of pages or cards. Essentially, large areas.

* `NEUTRAL`
  <color-preview showHexCode color={tokens.NEUTRAL} />

* `NEUTRAL_CONTRAST`
  <color-preview showHexCode color={tokens.NEUTRAL_CONTRAST} />

## Accent

Elements that hold an important focus. Things like main buttons or active card indicators.

* `ACCENT`
  <color-preview showHexCode color={tokens.ACCENT} />

* `ACCENT_CONTRAST`
  <color-preview showHexCode color={tokens.ACCENT_CONTRAST} />

## Success

Successful actions triggered by the user.

* `SUCCESS`
  <color-preview showHexCode color={tokens.SUCCESS} />

* `SUCCESS_SECONDARY`
  <color-preview showHexCode color={tokens.SUCCESS_SECONDARY} />

* `SUCCESS_CONTRAST`
  <color-preview showHexCode color={tokens.SUCCESS_CONTRAST} />

## Error

Failed actions triggered by the user.

* `ERROR`
  <color-preview showHexCode color={tokens.ERROR} />

* `ERROR_SECONDARY`
  <color-preview showHexCode color={tokens.ERROR_SECONDARY} />

* `ERROR_CONTRAST`
  <color-preview showHexCode color={tokens.ERROR_CONTRAST} />

## Pending

Pending actions triggered by the user.

* `PENDING`
  <color-preview showHexCode color={tokens.PENDING} />

* `PENDING_SECONDARY`
  <color-preview showHexCode color={tokens.PENDING_SECONDARY} />

* `PENDING_CONTRAST`
  <color-preview showHexCode color={tokens.PENDING_CONTRAST} />

# 📝 Font

## Size

How big the font is.

* `LARGE`: for headings and titles.

  <div style={{ fontSize: tokens.LARGE, color: tokens.ERROR_CONTRAST }}>This is some testing text.</div>

  <br />

* `MEDIUM`: for important UI elements, like card titles or button labels.

  <div style={{ fontSize: tokens.MEDIUM, color: tokens.ERROR_CONTRAST }}>This is some testing text.</div>

  <br />

* `SMALL`: for long texts, like paragraphs.
  <div style={{ fontSize: tokens.SMALL, color: tokens.ERROR_CONTRAST }}>This is some testing text.</div>
  <br />
